Portlet API (V0.7.1) : Class PortletException

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Class PortletException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.portlet.PortletException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PortletModeException, PortletSecurityException, UnavailableException, UnmodifiableException, ValidatorException, WindowStateException

public class PortletException
extends java.lang.Exception

The `PortletException` class defines a general exception that a portlet can throw when it is unable to perform its operation successfully.

See Also:
  Serialized Form

Constructor Summary
`PortletException()` Constructs a new portlet exception.
`PortletException(java.lang.String text)` Constructs a new portlet exception with the given text.
`PortletException(java.lang.String text, java.lang.Throwable cause)` Constructs a new portlet exception when the portlet needs to do the following: throw an exception include the "root cause" exception include a description message
`PortletException(java.lang.Throwable cause)` Constructs a new portlet exception when the portlet needs to throw an exception.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
`void` | `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
`void` | `printStackTrace(java.io.PrintStream out)` Prints the stack trace of this exception to the specified print stream.
`void` | `printStackTrace(java.io.PrintWriter out)` Prints the stack trace of this exception to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletException

    public PortletException()

  Constructs a new portlet exception.

### PortletException

    public PortletException(java.lang.String text)

  Constructs a new portlet exception with the given text. The portlet container may use the text write it to a log.
  Parameters:
    `text` - the exception text

### PortletException

    public PortletException(java.lang.String text,
                            java.lang.Throwable cause)

  Constructs a new portlet exception when the portlet needs to do the following:
  - throw an exception
  - include the "root cause" exception
  - include a description message
  Parameters:
    `text` - the exception text
    `cause` - the root cause

### PortletException

    public PortletException(java.lang.Throwable cause)

  Constructs a new portlet exception when the portlet needs to throw an exception. The exception's message is based on the localized message of the underlying exception.
  Parameters:
    `cause` - the root cause

Method Detail

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of this exception to the standard error stream.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream out)

  Prints the stack trace of this exception to the specified print stream.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `out` - the `PrintStream` to be used for output

### printStackTrace

    public void printStackTrace(java.io.PrintWriter out)

  Prints the stack trace of this exception to the specified print writer.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `out` - the `PrintWriter` to be used for output

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown. (The cause is the throwable that caused this throwable to get thrown.)

  This implementation returns the cause that was supplied via one of the constructors requiring a `Throwable`.

  Returns:
    the cause of this throwable or `null` if the cause is nonexistent or unknown.

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD